S7(1)

NAME
s7 - interpreter for the Seed7 programming language

SYNOPSIS
s7 [ options ] sourcefile [ parameters ]

DESCRIPTION
s7 invokes the Seed7 interpreter. Seed7 is an extensible general purpose programming language. It is a higher level language compared to Ada, C/C++ and Java. Its major features include: user defined statements and operators, abstract data types, templates without special syntax, OO with interfaces and multiple dispatch, statically typed, interpreted or compiled, and portability. The documentation of Seed7 and many examples can be found in /usr/local/share/doc/seed7

OPTIONS
-?  Write Seed7 interpreter usage.
-a  Analyze only and suppress the execution phase.
-dx Set compile time trace level to x. E.g.: -de
-d  Equivalent to -da
-i  Show the identifier table after the analyzing phase.
-l  Add a directory to the include library search path (e.g.: -l ../lib ).
-p  Specify a protocol file, for trace output (e.g.: -p prot.txt ).
-q  Compile quiet. Line and file information and compilation statistics are suppressed.
-s  Deactivate signal handlers.
-tx Set runtime trace level to x. E.g.: -te
-t  Equivalent to -ta
-vn Set verbosity level of analyse phase to n. Where n is between 0 and 3.
-v  Equivalent to -v2
-x  Execute even when the program contains errors.

TRACE LEVEL
The options -d and -t can set the trace level. The following trace levels are defined:
a   Trace primitive actions
c   Do action check
d   Trace dynamic calls
e   Trace exceptions and handlers
h   Trace heap size (in combination with 'a')
s   Trace signals

VERBOSITY LEVEL
The option -v can set the verbosity level. The following verbosity levels are defined:
0   Compile quiet (equivalent to -q )
1   Write just the header with version information (default)
2   Write a list of include libraries
3   Write line numbers, while analyzing

FILES
/usr/local/share/doc/seed7/manual.txt
    Manual for the Seed7 programming language.
/usr/local/share/doc/seed7/manual.htm
    HTML version of the Seed7 manual.
/usr/local/bin/s7
    The Seed7 interpreter.
/usr/local/lib/seed7/lib
    Directory of the include libraries.

HOMEPAGE
http://seed7.sourceforge.net

AUTHOR
Seed7 was written by Thomas Mertes <thomas.mertes@gmx.at>.
This manual page was written by Thomas Mertes <thomas.mertes@gmx.at>.

SEE ALSO
s7c(1)